#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
In this script we create a submenu a separator and keyboard shortcuts to menus.
"""

from tkinter import Tk, Frame, Menu

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent

		self.initUI()

	def initUI(self):
		self.parent.title("Submenu Example - Unit 2")

		menubar = Menu(self.parent)
		self.parent.config(menu=menubar)

		fileMenu = Menu(menubar, tearoff=0)

		submenu = Menu(fileMenu, tearoff=0)
		submenu.add_command(label="New feed", underline=0,command=self.DoNothing)
		submenu.add_command(label="Bookmarks",underline=0,command=self.DoNothing)
		submenu.add_command(label="Mail",underline=0,command=self.DoNothing)
		fileMenu.add_cascade(label='Import', menu=submenu, underline=0)

		fileMenu.add_separator()

		fileMenu.add_command(label="Exit", underline=0, command=self.onExit)
		menubar.add_cascade(label="File", underline=0, menu=fileMenu)

	def onExit(self):
		self.quit()

	def DoNothing(self):
		print("I am doing Nothing")
		pass


#**************************************
def main():

	Gui = Tk()
	Gui.geometry("250x150+300+300")
	app = Example(Gui)
	Gui.mainloop()


if __name__ == '__main__':
	main()
