#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
In this program, we create a popup menu.
"""

from tkinter import *

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent

		self.initUI()

	def initUI(self):
		self.parent.title("Popup Menu Example - Unit 2")

		self.menu = Menu(self.parent, tearoff=0)
		self.menu.add_command(label="Beep", command=self.DoNothing())
		self.menu.add_command(label="Exit", command=self.onExit)

		self.parent.bind("<Button-3>", self.showMenu)
		self.pack()

		statusBar=Label(text="Click Right Mouse Button for Popup Menu",
				bd=1,
				relief=SUNKEN,
				anchor=W,
				)
		statusBar.pack(side=BOTTOM, fill=X)

	def showMenu(self, e):
		self.menu.post(e.x_Gui, e.y_Gui)

	def onExit(self):
		self.quit()

	def DoNothing(self):
		print("I am doing Nothing")
		pass


#**********************************************
def main():

	Gui = Tk()
	Gui.geometry("350x150+300+300")
	app = Example(Gui)
	Gui.mainloop()

if __name__ == '__main__':
	main()
