#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
This is the Menu for ????
"""
from tkinter import *
import tkinter.messagebox as box

def centerWindow(self, width, height):
	screenWidth = self.parent.winfo_screenwidth()
	screenHeight = self.parent.winfo_screenheight()

	x = (screenWidth - width)/2
	y = (screenHeight -height)/2
	self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class MyMenu(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		self.parent.title("Large Menu Exmple - Unit 2")

		centerWindow(self, width = 290, height = 200)

		menubar = Menu(self.parent)
		self.parent.config(menu=menubar)

		filemenu = Menu(menubar, tearoff=0)
		filemenu.add_command(label="New", underline=0, command=self.DoNothing)
		filemenu.add_command(label="Open...", underline=0, command=self.DoNothing)
		filemenu.add_command(label="Save", underline=0, command=self.DoNothing)
		filemenu.add_command(label="Save as...", underline=0, command=self.DoNothing)
		filemenu.add_command(label="Close", underline=0, command=self.DoNothing)
		filemenu.add_separator()
		filemenu.add_command(label="Exit", underline=0, command=self.onExit)
		menubar.add_cascade(label="File", underline=0, menu=filemenu)

		editmenu = Menu(menubar, tearoff=0)
		editmenu.add_command(label="Undo", underline=0, command=self.DoNothing)
		editmenu.add_separator()
		editmenu.add_command(label="Cut", underline=0, command=self.DoNothing)
		editmenu.add_command(label="Copy", underline=0, command=self.DoNothing)
		editmenu.add_command(label="Paste", underline=0, command=self.DoNothing)
		editmenu.add_command(label="Delete", underline=0, command=self.DoNothing)
		editmenu.add_command(label="Select All", underline=0, command=self.DoNothing)
		menubar.add_cascade(label="Edit", underline=0, menu=editmenu)

		helpmenu = Menu(menubar, tearoff=0)
		helpmenu.add_command(label="Help Index", underline=5, command=self.DoNothing)
		helpmenu.add_command(label="About...", underline=0, command=self.onInfo)
		menubar.add_cascade(label="Help", underline=0, menu=helpmenu)

	#-------------* Code for Menu Items *---------------
	def onInfo(self):
		box.showinfo("Information", "Bill's Program")

	def DoNothing(self):
		print('I am doing nothing.')
		pass

	def onExit(self):
		print('I am Exiting the Program.')
		self.quit()


#********************************************
def main():
	Gui = Tk()
	app = MyMenu(Gui)
	Gui.mainloop()

if __name__ == '__main__':
	main()
