#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""
In this program, we create a toolbar.
"""

from tkinter import *

class Example(Frame):
    def __init__(self, parent):
        Frame.__init__(self, parent)
        self.parent = parent
        self.initUI()

    def initUI(self):
        self.parent.title("Toolbar Example - Unit 2")

        menubar = Menu(self.parent)
        self.fileMenu = Menu(self.parent, tearoff=0)
        self.fileMenu.add_command(label="Exit", command=self.onExit)
        menubar.add_cascade(label="File", menu=self.fileMenu)

        toolbar = Frame(self.parent, bd=1, relief=RAISED)

        myImage = PhotoImage(file="exit.gif")

        exitButton = Button(toolbar,
				image=myImage,
				relief=FLAT,
				command=self.onExit,
				)
        exitButton.image = myImage
        exitButton.pack(side=LEFT, padx=2, pady=2)

        toolbar.pack(side=TOP, fill=X)
        self.parent.config(menu=menubar)
        self.pack()


    def onExit(self):
        self.quit()


def main():

    Gui = Tk()
    Gui.geometry("250x150+300+300")
    app = Example(Gui)
    Gui.mainloop()


if __name__ == '__main__':
    main()
