#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
In this script, we use tkColorChooser
dialog to change the background of a frame.
"""

from tkinter import *
from tkinter import colorchooser

def centerWindow(self):
	w = 290
	h = 150

	sw = self.parent.winfo_screenwidth()
	sh = self.parent.winfo_screenheight()

	x = (sw - w)/2
	y = (sh - h)/2
	self.parent.geometry('%dx%d+%d+%d' % (w, h, x, y))

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)

		self.parent = parent
		self.initUI()

	def initUI(self):
		centerWindow(self)

		self.parent.title("Color Chooser Example - Unit 4")
		self.pack(fill=BOTH, expand=1)

		self.frame = Frame(self, border=1,
			   relief=SUNKEN,
			   width=100,
			   height=100)
		self.frame.place(x=160, y=30)

		self.btn = Button(self, text="Choose Color",
			   command=self.onChoose)
		self.btn.place(x=30, y=30)

	def onChoose(self):
		#The ColorChooser returns a tuple
		#where the first item of the tuple gives the RGB values
		#of the selected color,
		#while the second item of the tuple gives
		#the hexadecimal color code for the selected color.
				# ie. ((99, 222, 170), ‘#63deaa’),

		(rgb, hx) = colorchooser.askcolor()
		self.frame.config(bg=hx)


#******************************************************
def main():
	Gui = Tk()
	ex = Example(Gui)
	Gui.geometry("300x150+300+300")
	Gui.mainloop()

if __name__ == '__main__':
	main()
