#!/usr/bin/python
# -*- coding: utf-8 -*-

"""
In this program, we use the tkFileDialog to select a file from
a filesystem.
"""

from tkinter import *
from tkinter import filedialog

class Example(Frame):
	def __init__(self, parent):
		Frame.__init__(self, parent)
		self.parent = parent
		self.initUI()

	def initUI(self):
		self.parent.title("File Dialog Box Example - Ubit 3")
		self.pack(fill=BOTH, expand=1)

		menubar = Menu(self.parent)
		self.parent.config(menu=menubar)

		fileMenu = Menu(menubar, tearoff=0)
		fileMenu.add_command(label="Open",underline=0, command=self.onOpen)
		fileMenu.add_command(label="Show Path",underline=5, command=self.showPath)
		fileMenu.add_separator()
		fileMenu.add_command(label="Exit", underline=1, command=self.quit)
		menubar.add_cascade(label="File", underline=0, menu=fileMenu)

	def onOpen(self):
		ftypes = [('Python files', '*.py'), ('All files', '*')]
		dlg = filedialog.Open(self, filetypes = ftypes)
		fl = dlg.show()

		if fl != '':
			self.txt = Text(self)
			self.txt.pack(fill=BOTH, expand=YES)
			text = self.readFile(fl)
			self.txt.insert(END, text)

	def readFile(self, filename):
		f = open(filename, "r")
		text = f.read()
		return text

	def showPath(self):
		ftypes = [('Python files', '*.py'), ('All files', '*')]
		dlg = filedialog.Open(self, filetypes = ftypes)
		myPath = dlg.show()
		fileLabel = Label(self, text=myPath, fg="blue")
		fileLabel.pack(anchor=W, expand=NO)


#*******************************************
def main():
	Gui = Tk()
	ex = Example(Gui)
	Gui.geometry("600x300+200+100")
	Gui.mainloop()

if __name__ == '__main__':
	main()

