#!/usr/bin/python#
# -*- coding: utf-8 -*-

"""
In this program, we show various message boxes.
"""

from tkinter import *
import tkinter.messagebox as box

def centerWindow(self):
		width = 290
		height = 200

		screenWidth = self.parent.winfo_screenwidth()
		screenHeight = self.parent.winfo_screenheight()

		x = (screenWidth - width)/2
		y = (screenHeight -height)/2
		self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class Example(Frame):

    def __init__(self, parent):
        Frame.__init__(self, parent)

        self.parent = parent
        self.initUI()

    def initUI(self):
        self.parent.title("Message Boxes Example - Unit 3")
        self.pack()

        centerWindow(self)

        error = Button(self, text="Error", command=self.onError)
        error.grid()
        warning = Button(self, text="Warning", command=self.onWarn)
        warning.grid(row=1, column=0)
        question = Button(self, text="Question", command=self.onQuest)
        question.grid(row=0, column=1)
        inform = Button(self, text="Information", command=self.onInfo)
        inform.grid(row=1, column=1)


    def onError(self):
        box.showerror("Error", "Could not Open File")

    def onWarn(self):
        box.showwarning("Warning", "Deprecated function call")

    def onQuest(self):
        box.askquestion("Question", "Are you sure to quit?")

    def onInfo(self):
        box.showinfo("Information", "Download completed")


def main():
    root = Tk()
    ex = Example(root)
    root.geometry("300x150+300+300")
    root.mainloop()


if __name__ == '__main__':
    main()
