#!/usr/bin/python3
# -*- coding: utf-8 -*-

"""In this script, we use the grid manager
to create a more complicated layout.
"""

from tkinter import *
from tkinter.ttk import *

def centerWindow(self):
	width = 290
	height = 200

	screenWidth = self.parent.winfo_screenwidth()
	screenHeight = self.parent.winfo_screenheight()

	x = (screenWidth - width)/2
	y = (screenHeight -height)/2
	self.parent.geometry('%dx%d+%d+%d' % (width, height, x, y))

class Example(Frame):

    def __init__(self, parent):
        Frame.__init__(self, parent)

        self.parent = parent

        self.initUI()

    def initUI(self):
        self.parent.title("Windows Layout Example - Unit 4")
        self.style = Style()
        self.style.theme_use("default")
        self.pack(fill=BOTH, expand=1)

        self.columnconfigure(1, weight=1)
        self.columnconfigure(3, pad=7)
        self.rowconfigure(3, weight=1)
        self.rowconfigure(5, pad=7)

        lbl = Label(self, text="Label over Text  Box")
        lbl.grid(sticky=W, pady=4, padx=5)

        textArea = Text(self)
        textArea.grid(row=1, column=0, columnspan=2, rowspan=4,
            padx=5, sticky=E+W+S+N)

        abtn = Button(self, text="Activate",underline=0)
        abtn.grid(row=1, column=3)

        cbtn = Button(self, text="Close", underline=0, command=self.quit)
        cbtn.grid(row=2, column=3, pady=4)

        hbtn = Button(self, text="Help", underline=0)
        hbtn.grid(row=5, column=0, padx=5)

        obtn = Button(self, text="OK", underline=0)
        obtn.grid(row=5, column=3)

        centerWindow(self)


def main():
    Gui = Tk()
    app = Example(Gui)

    Gui.mainloop()

if __name__ == '__main__':
    main()
